// misc constructs

class Main {
    public static void main(String[] args) {       
	String s = "";
	s = s + "hello";
	s += " there";

	for (String i = ""; i.length() < 100; i += ",") {
	   i += "  ";
	}
	String w = null;
	w = null;
	foo(w);

    }
    String t = null;

    static native void foo(String s);
}
